# List event triggers Endpoint: GET /events/event-triggers Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Query parameters: - `baseObject` (string) The Zuora object that trigger condition is defined upon. The format of the value in this field depends on the base object type: - Standard object: object name, which should follow the pattern ^A-Z*$. For example, Invoice. - Custom object: default__. For example, default__vehicle. - `eventTypeName` (string) The event type name. Should be specified in the pattern: ^[A-Za-z]{1,}[\w\-]*$ - `active` (string) The status of the event trigger. - `start` (integer) The first index of the query result. Default to 0 if absent, and the minimum is 0. - `limit` (integer) The maximum number of data records to be returned. Default to 10 if absent. ## Response 200 fields (application/json): - `data` (array) - `data.active` (boolean) The status of the trigger. - `data.baseObject` (string) The base object that the trigger rule is defined upon. The format of the value in this field depends on the base object type: - Standard object: object name, which should follow the pattern ^[A-Z][\w\-]*$. For example, Invoice. - Custom object: default__. For example, default__vehicle. - `data.condition` (string) The JEXL expression to be evaluated against object changes. See above for more information and an example. - `data.description` (string) The description of the trigger. - `data.eventType` (object) - `data.eventType.description` (string) The description of the event type. - `data.eventType.displayName` (string, required) The display name for the event type. - `data.eventType.name` (string, required) The name of the event. Should be unique, contain no space, and be in the pattern: ^[A-Za-z]{1,}[\\w\\-]*$ - `data.id` (string) - `next` (string) The link to the next page. No value if it is last page. ## Response 400 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response